Package org.drinkless.tdlib

# Class TdApi.ChatMemberStatusAdministrator

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMemberStatus
org.drinkless.tdlib.TdApi.ChatMemberStatusAdministrator

Enclosing class:
  `TdApi`

public static class TdApi.ChatMemberStatusAdministrator extends TdApi.ChatMemberStatus
The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatMemberStatus

  `TdApi.ChatMemberStatus.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeEdited`
  True, if the current user can edit the administrator privileges for the called user.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatAdministratorRights`
  `rights`
  Rights of the administrator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMemberStatusAdministrator()`
  The user is a member of the chat and has some additional privileges.
  `ChatMemberStatusAdministrator(boolean canBeEdited, TdApi.ChatAdministratorRights rights)`
  The user is a member of the chat and has some additional privileges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canBeEdited

    public boolean canBeEdited
    True, if the current user can edit the administrator privileges for the called user.

  - ### rights

    public TdApi.ChatAdministratorRights rights
    Rights of the administrator.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMemberStatusAdministrator

    public ChatMemberStatusAdministrator()
    The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.

  - ### ChatMemberStatusAdministrator

    public ChatMemberStatusAdministrator(boolean canBeEdited, TdApi.ChatAdministratorRights rights)
    The user is a member of the chat and has some additional privileges. In basic groups, administrators can edit and delete messages sent by others, add new members, ban unprivileged members, and manage video chats. In supergroups and channels, there are more detailed options for administrator privileges.
    Parameters:
      `canBeEdited` - True, if the current user can edit the administrator privileges for the called user.
      `rights` - Rights of the administrator.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatMemberStatus`
    Returns:
      this.CONSTRUCTOR